require ("players")
require ("keys")
function love.load()
	n_players = 0
	total_players = 0
	i = 1 -- flag variable to aid the n_players >/< total_players conditional
	love.physics.setMeter(32)
	world = love.physics.newWorld(0, 0, true)

end

function love.update(dt)
	--Update the world and MISC
	world:update(dt)
	if papa == nil then
		papa = "waiting" -- Another flag variable that I've created for future tests, ignore ^.^
	end

	--Adding and removing players
	if n_players > total_players then
		for j = i, n_players, 1 do
			players[j] = {}
			players[j].x = 0
			players[j].y = 0
			players[j].body = love.physics.newBody(world, math.random(700), math.random(600), "dynamic")
			players[j].shape = love.physics.newCircleShape(0, 0, 16)
			players[j].fixture = love.physics.newFixture(players[j].body, players[j].shape, 5)
			players[j].moving_x = false; players[j].moving_y = false
		end
		total_players = n_players
		i = total_players + 1
	end

	if n_players < total_players then
		for j = 11, n_players do
			players[j].body:setLinearVelocity(0,0)
			players[j].body, players[j].shape, players[j].fixture = nil
		end
		total_players = n_players
		i = total_players + 1
	end

	-- Moving the players, please note that, futurally, these algorithms are going to be converted into functions; hence I'm sorry for all these lines, the same can be told of the n_players >/< total_players conditionals
	for j = 1, n_players do
		players[j].spx, players[j].spy = players[j].body:getLinearVelocity()
		if players[j].moving_x == false then
			if players[j].spx > 0 then
				players[j].x = -800
			end
			if players[j].spx < 0 then
				players[j].x = 800
			end
		end
		if players[j].moving_y == false then
			if players[j].spy > 0 then
				players[j].y = -800
			end
			if players[j].spy < 0 then
				players[j].y = 800
			end
		end
		players[j].body:applyForce(players[j].x, players[j].y)
	end

end

function love.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.setBackgroundColor(97, 175, 125)
	love.graphics.print(n_players, 400, 300)
	love.graphics.print(total_players, 400, 200)
	love.graphics.print(papa, 400, 250)
	love.graphics.print("Use F1 to add 1 player, WASD to move the first player, Arrow keys to move the second;", 600, 250)
	love.graphics.print("Use F2 to remove 1 player", 600, 270)

	--Players--
	for j = 1, total_players, 1 do
		love.graphics.setColor(0, 0, 0)
		love.graphics.circle("fill", players[j].body:getX(), players[j].body:getY(), players[j].shape:getRadius())
		love.graphics.setColor(214, 66, 66)
		love.graphics.circle("fill", players[j].body:getX(), players[j].body:getY(), 13)
	end
end
